package kosoft.utils.redirectstdio;


// redirectstdio library to redirect java stdout/stderr to timestamped & size rolled file. 
// Copyright (C) 2000 Mark O'Donohue [ mark.odonohue@gmail.com] 

// This library is free software; you can redistribute it and/or modify it under the terms of the GNU 
// Lesser General Public License as published by the Free Software Foundation; either version 2.1 of 
// the License, or (at your option) any later version.

// This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
// even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
// Lesser General Public License for more details.




import java.lang.instrument.Instrumentation;

public class PreMain {

    /**
     * @param args
     */
    
    public static void premain(String agentArguments, Instrumentation instrumentation) {
	    System.out.println("Starting premain " + agentArguments);
        RedirectStdio.doRedirectCmd(agentArguments);
	    System.out.println("Ending premain");
	}    

    
}
